Video
Get a video job
Check video processing status and retrieve the completed result.
GET
/
v1
/
api
/
video
/
jobs
/
{jobId}
Get a video processing job
curl --request GET \
--url https://api.pagepith.com/v1/api/video/jobs/{jobId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pagepith.com/v1/api/video/jobs/{jobId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pagepith.com/v1/api/video/jobs/{jobId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"jobId": "<string>",
"status": "queued",
"progress": 50,
"result": {
"url": "<string>",
"finalUrl": "<string>",
"platform": "youtube",
"platformId": "<string>",
"author": {
"displayName": "<string>",
"handle": "<string>",
"profileUrl": "<string>"
},
"durationSeconds": 1,
"transcript": {
"text": "<string>",
"language": "<string>",
"availableLanguages": [
"<string>"
],
"source": "captions",
"segments": [
{
"text": "<string>",
"startMs": 1,
"durationMs": 1
}
]
},
"processedAt": "2023-11-07T05:31:56Z",
"cached": true,
"credits": 2,
"title": "<string>",
"description": "<string>",
"thumbnailUrl": "<string>",
"publishedAt": "2023-11-07T05:31:56Z"
},
"error": {
"code": "<string>",
"message": "<string>",
"url": "<string>"
}
}{
"error": "unauthorized",
"message": "<string>"
}Authorizations
Your API key as a Bearer token: Authorization: Bearer <api-key>.
Path Parameters
Was this page helpful?
⌘I
Get a video processing job
curl --request GET \
--url https://api.pagepith.com/v1/api/video/jobs/{jobId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pagepith.com/v1/api/video/jobs/{jobId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pagepith.com/v1/api/video/jobs/{jobId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"jobId": "<string>",
"status": "queued",
"progress": 50,
"result": {
"url": "<string>",
"finalUrl": "<string>",
"platform": "youtube",
"platformId": "<string>",
"author": {
"displayName": "<string>",
"handle": "<string>",
"profileUrl": "<string>"
},
"durationSeconds": 1,
"transcript": {
"text": "<string>",
"language": "<string>",
"availableLanguages": [
"<string>"
],
"source": "captions",
"segments": [
{
"text": "<string>",
"startMs": 1,
"durationMs": 1
}
]
},
"processedAt": "2023-11-07T05:31:56Z",
"cached": true,
"credits": 2,
"title": "<string>",
"description": "<string>",
"thumbnailUrl": "<string>",
"publishedAt": "2023-11-07T05:31:56Z"
},
"error": {
"code": "<string>",
"message": "<string>",
"url": "<string>"
}
}{
"error": "unauthorized",
"message": "<string>"
}